package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class InputDataDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(InputDataDTO.class);
        InputDataDTO inputDataDTO1 = new InputDataDTO();
        inputDataDTO1.setId(1L);
        InputDataDTO inputDataDTO2 = new InputDataDTO();
        assertThat(inputDataDTO1).isNotEqualTo(inputDataDTO2);
        inputDataDTO2.setId(inputDataDTO1.getId());
        assertThat(inputDataDTO1).isEqualTo(inputDataDTO2);
        inputDataDTO2.setId(2L);
        assertThat(inputDataDTO1).isNotEqualTo(inputDataDTO2);
        inputDataDTO1.setId(null);
        assertThat(inputDataDTO1).isNotEqualTo(inputDataDTO2);
    }
}
